[134436] trunk/dports/gnome/libgsf

devans at macports.org devans at macports.org
Wed Mar 25 10:25:16 PDT 2015


Revision: 134436
          https://trac.macports.org/changeset/134436
Author:   devans at macports.org
Date:     2015-03-25 10:25:16 -0700 (Wed, 25 Mar 2015)
Log Message:
-----------
libgsf: reconfigure using autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/gnome/libgsf/Portfile

Added Paths:
-----------
    trunk/dports/gnome/libgsf/files/autogen.sh

Modified: trunk/dports/gnome/libgsf/Portfile
===================================================================
--- trunk/dports/gnome/libgsf/Portfile	2015-03-25 17:23:43 UTC (rev 134435)
+++ trunk/dports/gnome/libgsf/Portfile	2015-03-25 17:25:16 UTC (rev 134436)
@@ -27,7 +27,12 @@
                     sha256  13bf38b848c01e20eb89a48150b6f864434ee4dfbb6301ddf6f4080a36cd99e9
 
 depends_build       port:pkgconfig \
-                    port:intltool
+                    port:intltool \
+                    port:gtk-doc \
+                    port:gnome-common \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:gettext \
                     path:lib/pkgconfig/glib-2.0.pc:glib2 \
@@ -40,14 +45,13 @@
 
 patchfiles          patch-disable-compile-warnings.diff
 
-# update m4/intltool.m4 and autoreconf
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
-pre-configure {
-    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
 }
 
-use_autoreconf      yes
-autoreconf.args     -fvi
+configure.cmd       ./autogen.sh
 
 configure.args      --disable-silent-rules
 

Added: trunk/dports/gnome/libgsf/files/autogen.sh
===================================================================
--- trunk/dports/gnome/libgsf/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/libgsf/files/autogen.sh	2015-03-25 17:25:16 UTC (rev 134436)
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+PKG_NAME="libgsf"
+
+REQUIRED_AUTOMAKE_VERSION=1.8
+# We require Automake 1.7.1, which requires Autoconf 2.54.
+REQUIRED_AUTOCONF_VERSION=2.54
+
+USE_GNOME2_MACROS=1
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+abs_srcdir=`cd $srcdir && pwd`
+ACLOCAL_FLAGS="-I $abs_srcdir/m4 $ACLOCAL_FLAGS"
+
+(test -f $srcdir/configure.ac \
+  && test -d $srcdir/gsf \
+  && test -f $srcdir/gsf/gsf.h) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level libgsf directory"
+    exit 1
+}
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+  IFS="$ifs_save"
+  test -z "$dir" && dir=.
+  if test -f "$dir/gnome-autogen.sh" ; then
+    gnome_autogen="$dir/gnome-autogen.sh"
+    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+    break
+  fi
+done
+
+if test -z "$gnome_autogen" ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir"
+. $gnome_autogen
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150325/baea6b85/attachment.html>


More information about the macports-changes mailing list